Subject: Re: bug#63655: 29.0.91; Dialog box not displayed upon closing frame

From: Po Lu <[email-masked]>
Date: Tue, 23 May 2023 20:07:58 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 23 May 2023 13:12:38 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Start Emacs, then set confirm-kill-emacs to t.
>> Close the last frame on the only terminal by clicking the close button
>> on the WM frame window.  Emacs will ask:
>> 
>>   Really exit Emacs? (y or n)
>
> confirm-kill-emacs, if non-nil, should be a function.  If I try what
> you described above, Emacs signals an error when I close the last
> frame.

Sorry, I meant to set it to `y-or-n-p'.  I did that from Custom.